Archive a form
curl --request POST \
--url https://advisor.redbark.com/api/v1/forms/{form}/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://advisor.redbark.com/api/v1/forms/{form}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://advisor.redbark.com/api/v1/forms/{form}/archive"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"object": "form",
"id": "<string>",
"number": 123,
"name": "<string>",
"issuer": "<string>",
"layout_id": "<string>",
"mapping_version": 123,
"detection": "waiting",
"field_count": 123,
"page_count": 123,
"archived": true,
"archived_at": "<string>",
"replaces_form_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"roles": [
{
"key": "<string>",
"label": "<string>"
}
],
"mapping_status": "proposed",
"replaced_by_form_id": "<string>",
"mapping": [
{
"field_id": "<string>",
"page": 123,
"box": {
"left": 123,
"top": 123,
"width": 123,
"height": 123
},
"type": "text",
"label": "<string>",
"section": "<string>",
"source": "<string>",
"role": "<string>",
"format": "<string>",
"agreement": 123,
"state_rule": "runs_disagreed"
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Forms
Archive a form
Takes a form out of the firm’s Forms. It can no longer be filled; fills already made stay. Restore it with restore_form. Only an admin can call this.
POST
/
forms
/
{form}
/
archive
Archive a form
curl --request POST \
--url https://advisor.redbark.com/api/v1/forms/{form}/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://advisor.redbark.com/api/v1/forms/{form}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://advisor.redbark.com/api/v1/forms/{form}/archive"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"object": "form",
"id": "<string>",
"number": 123,
"name": "<string>",
"issuer": "<string>",
"layout_id": "<string>",
"mapping_version": 123,
"detection": "waiting",
"field_count": 123,
"page_count": 123,
"archived": true,
"archived_at": "<string>",
"replaces_form_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"roles": [
{
"key": "<string>",
"label": "<string>"
}
],
"mapping_status": "proposed",
"replaced_by_form_id": "<string>",
"mapping": [
{
"field_id": "<string>",
"page": 123,
"box": {
"left": 123,
"top": 123,
"width": 123,
"height": 123
},
"type": "text",
"label": "<string>",
"section": "<string>",
"source": "<string>",
"role": "<string>",
"format": "<string>",
"agreement": 123,
"state_rule": "runs_disagreed"
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Authorizations
Body
application/json
The body is of type object.
Response
Success.

